(define (problem wood-prob)
(:domain woodworking)
(:objects
grinder0 - grinder
glazer0 - glazer
immersion-varnisher0 - immersion-varnisher
planer0 - planer
highspeed-saw0 - highspeed-saw
spray-varnisher0 - spray-varnisher
saw0 - saw
green - acolour
blue - acolour
mauve - acolour
white - acolour
cherry - awood
teak - awood
p0 - part
p1 - part
p2 - part
p3 - part
p4 - part
b0 - board
b1 - board
b2 - board
sg0 - softgoalorder
sg1 - softgoalorder
sg2 - softgoalorder
sg3 - softgoalorder
sg4 - softgoalorder
sg5 - softgoalorder
sg6 - softgoalorder
sg7 - softgoalorder
sg8 - softgoalorder
sg9 - softgoalorder
sg10 - softgoalorder
sg11 - softgoalorder
sg12 - softgoalorder
sg13 - softgoalorder
)
(:init
(grind-treatment-change varnished colourfragments )
(grind-treatment-change glazed untreated )
(grind-treatment-change untreated untreated )
(grind-treatment-change colourfragments untreated )
(is-smooth smooth )
(is-smooth verysmooth )
(= (total-cost ) 0)
(has-colour glazer0 mauve )
(has-colour glazer0 natural )
(has-colour glazer0 green )
(has-colour immersion-varnisher0 blue )
(has-colour immersion-varnisher0 green )
(has-colour immersion-varnisher0 natural )
(empty highspeed-saw0 )
(has-colour spray-varnisher0 blue )
(has-colour spray-varnisher0 green )
(has-colour spray-varnisher0 natural )
(unused p0 )
(= (goal-size p0 ) 12)
(= (glaze-cost p0 ) 17)
(= (grind-cost p0 ) 36)
(= (plane-cost p0 ) 24)
(unused p1 )
(= (goal-size p1 ) 5)
(= (glaze-cost p1 ) 10)
(= (grind-cost p1 ) 15)
(= (plane-cost p1 ) 10)
(unused p2 )
(= (goal-size p2 ) 9)
(= (glaze-cost p2 ) 14)
(= (grind-cost p2 ) 27)
(= (plane-cost p2 ) 18)
(unused p3 )
(= (goal-size p3 ) 7)
(= (glaze-cost p3 ) 12)
(= (grind-cost p3 ) 21)
(= (plane-cost p3 ) 14)
(unused p4 )
(= (goal-size p4 ) 11)
(= (glaze-cost p4 ) 16)
(= (grind-cost p4 ) 33)
(= (plane-cost p4 ) 22)
(= (board-size b0 ) 35)
(wood b0 cherry )
(surface-condition b0 rough )
(available b0 )
(= (board-size b1 ) 9)
(wood b1 cherry )
(surface-condition b1 smooth )
(available b1 )
(= (board-size b2 ) 35)
(wood b2 teak )
(surface-condition b2 rough )
(available b2 )
(normal-mode )
(current-softgoal sg0 )
(next-softgoal sg0 sg1 )
(next-softgoal sg1 sg2 )
(next-softgoal sg2 sg3 )
(next-softgoal sg3 sg4 )
(next-softgoal sg4 sg5 )
(next-softgoal sg5 sg6 )
(next-softgoal sg6 sg7 )
(next-softgoal sg7 sg8 )
(next-softgoal sg8 sg9 )
(next-softgoal sg9 sg10 )
(next-softgoal sg10 sg11 )
(next-softgoal sg11 sg12 )
(next-softgoal sg12 sg13 )
(= (wood-treatment-available-softgoal-reward p0 teak p0 glazed p0 ) 64.0)
(wood-treatment-available-softgoal-order p0 teak p0 glazed p0 sg0 )
(= (wood-treatment-available-softgoal-reward p1 teak p1 glazed p1 ) 46.0)
(wood-treatment-available-softgoal-order p1 teak p1 glazed p1 sg1 )
(= (colour-wood-surface-condition-treatment-available-softgoal-reward p0 natural p0 cherry p0 verysmooth p0 glazed p0 ) 122.0)
(colour-wood-surface-condition-treatment-available-softgoal-order p0 natural p0 cherry p0 verysmooth p0 glazed p0 sg2 )
(= (colour-wood-surface-condition-treatment-available-softgoal-reward p4 mauve p4 teak p4 verysmooth p4 glazed p4 ) 107.0)
(colour-wood-surface-condition-treatment-available-softgoal-order p4 mauve p4 teak p4 verysmooth p4 glazed p4 sg3 )
(= (colour-surface-condition-treatment-available-softgoal-reward p0 blue p0 smooth p0 varnished p0 ) 112.0)
(colour-surface-condition-treatment-available-softgoal-order p0 blue p0 smooth p0 varnished p0 sg4 )
(= (colour-surface-condition-available-softgoal-reward p3 natural p3 smooth p3 ) 87.0)
(colour-surface-condition-available-softgoal-order p3 natural p3 smooth p3 sg5 )
(= (colour-surface-condition-available-softgoal-reward p3 green p3 verysmooth p3 ) 76.0)
(colour-surface-condition-available-softgoal-order p3 green p3 verysmooth p3 sg6 )
(= (wood-surface-condition-treatment-available-softgoal-reward p3 teak p3 smooth p3 glazed p3 ) 90.0)
(wood-surface-condition-treatment-available-softgoal-order p3 teak p3 smooth p3 glazed p3 sg7 )
(= (wood-surface-condition-treatment-available-softgoal-reward p2 cherry p2 verysmooth p2 varnished p2 ) 86.0)
(wood-surface-condition-treatment-available-softgoal-order p2 cherry p2 verysmooth p2 varnished p2 sg8 )
(= (colour-wood-treatment-available-softgoal-reward p2 green p2 cherry p2 glazed p2 ) 46.0)
(colour-wood-treatment-available-softgoal-order p2 green p2 cherry p2 glazed p2 sg9 )
(= (colour-wood-treatment-available-softgoal-reward p1 mauve p1 cherry p1 glazed p1 ) 43.0)
(colour-wood-treatment-available-softgoal-order p1 mauve p1 cherry p1 glazed p1 sg10 )
(= (wood-surface-condition-available-softgoal-reward p2 cherry p2 smooth p2 ) 64.0)
(wood-surface-condition-available-softgoal-order p2 cherry p2 smooth p2 sg11 )
(= (surface-condition-treatment-available-softgoal-reward p4 smooth p4 varnished p4 ) 107.0)
(surface-condition-treatment-available-softgoal-order p4 smooth p4 varnished p4 sg12 )
)
(:goal
( and
(wood-treatment-available-softgoal p0 teak p0 glazed p0 )
(wood-treatment-available-softgoal p1 teak p1 glazed p1 )
(colour-wood-surface-condition-treatment-available-softgoal p0 natural p0 cherry p0 verysmooth p0 glazed p0 )
(colour-wood-surface-condition-treatment-available-softgoal p4 mauve p4 teak p4 verysmooth p4 glazed p4 )
(colour-surface-condition-treatment-available-softgoal p0 blue p0 smooth p0 varnished p0 )
(colour-surface-condition-available-softgoal p3 natural p3 smooth p3 )
(colour-surface-condition-available-softgoal p3 green p3 verysmooth p3 )
(wood-surface-condition-treatment-available-softgoal p3 teak p3 smooth p3 glazed p3 )
(wood-surface-condition-treatment-available-softgoal p2 cherry p2 verysmooth p2 varnished p2 )
(colour-wood-treatment-available-softgoal p2 green p2 cherry p2 glazed p2 )
(colour-wood-treatment-available-softgoal p1 mauve p1 cherry p1 glazed p1 )
(wood-surface-condition-available-softgoal p2 cherry p2 smooth p2 )
(surface-condition-treatment-available-softgoal p4 smooth p4 varnished p4 )
)
)
(:metric minimize
(total-cost)
)
)
