(define (problem CrewPlanning_2crew_1day)
(:domain CrewPlanning)
(:objects
d1 - Day
d2 - Day
c1 - CrewMember
c2 - CrewMember
mcs1 - MedicalState
mcs2 - MedicalState
spaceshipFilter - FilterState
rpcm1 - RPCM
pa1 - PayloadAct
pa2 - PayloadAct
pa3 - PayloadAct
pa4 - PayloadAct
sg0 - softgoalorder
sg1 - softgoalorder
sg2 - softgoalorder
sg3 - softgoalorder
sg4 - softgoalorder
sg5 - softgoalorder
sg6 - softgoalorder
sg7 - softgoalorder
sg8 - softgoalorder
)
(:init
(= (total-cost ) 0)
(currentday d1 )
(next d1 d2 )
(active c1 d1 )
(= (available_time c1 d1 ) 1440)
(active c2 d1 )
(= (available_time c2 d1 ) 1440)
(= (crew_efficiency c1 d1 ) 10)
(= (crew_efficiency c2 d1 ) 9)
(= (achieve_time_discount d1 ) 0)
(= (payloadact_length pa1 ) 130)
(= (payloadact_length pa2 ) 130)
(= (payloadact_length pa3 ) 130)
(= (payloadact_length pa4 ) 90)
(current-softgoal sg0 )
(next-softgoal sg0 sg1 )
(next-softgoal sg1 sg2 )
(next-softgoal sg2 sg3 )
(next-softgoal sg3 sg4 )
(next-softgoal sg4 sg5 )
(next-softgoal sg5 sg6 )
(next-softgoal sg6 sg7 )
(next-softgoal sg7 sg8 )
(= (payload_act_completed-softgoal-reward pa1 ) 65)
(payload_act_completed-softgoal-order pa1 sg0 )
(= (payload_act_completed-softgoal-reward pa3 ) 65)
(payload_act_completed-softgoal-order pa3 sg1 )
(= (payload_act_completed-softgoal-reward pa2 ) 65)
(payload_act_completed-softgoal-order pa2 sg2 )
(= (payload_act_completed-softgoal-reward pa4 ) 90)
(payload_act_completed-softgoal-order pa4 sg3 )
(= (mcs_finished-softgoal-reward mcs1 d1 ) 180)
(mcs_finished-softgoal-order mcs1 d1 sg4 )
(= (changed-softgoal-reward spaceshipFilter d1 ) 180)
(changed-softgoal-order spaceshipFilter d1 sg5 )
(= (done_rpcm-softgoal-reward rpcm1 ) 520)
(done_rpcm-softgoal-order rpcm1 sg6 )
(= (currentday-softgoal-reward d2 ) 2745)
(currentday-softgoal-order d2 sg7 )
(normal-mode )
)
(:goal
( and
(payload_act_completed-softgoal pa1 )
(payload_act_completed-softgoal pa3 )
(payload_act_completed-softgoal pa2 )
(payload_act_completed-softgoal pa4 )
(mcs_finished-softgoal mcs1 d1 )
(changed-softgoal spaceshipFilter d1 )
(done_rpcm-softgoal rpcm1 )
(currentday-softgoal d2 )
)
)
(:metric minimize
(total-cost)
)
)
