(define (problem wood-prob)
(:domain woodworking)
(:objects
grinder0 - grinder
glazer0 - glazer
immersion-varnisher0 - immersion-varnisher
planer0 - planer
highspeed-saw0 - highspeed-saw
spray-varnisher0 - spray-varnisher
saw0 - saw
red - acolour
mauve - acolour
green - acolour
pine - awood
beech - awood
p0 - part
p1 - part
p2 - part
p3 - part
b0 - board
b1 - board
sg0 - softgoalorder
sg1 - softgoalorder
sg2 - softgoalorder
sg3 - softgoalorder
sg4 - softgoalorder
)
(:init
(grind-treatment-change varnished colourfragments )
(grind-treatment-change glazed untreated )
(grind-treatment-change untreated untreated )
(grind-treatment-change colourfragments untreated )
(is-smooth smooth )
(is-smooth verysmooth )
(= (total-cost ) 0)
(has-colour glazer0 natural )
(has-colour immersion-varnisher0 mauve )
(has-colour immersion-varnisher0 natural )
(empty highspeed-saw0 )
(has-colour spray-varnisher0 mauve )
(has-colour spray-varnisher0 natural )
(unused p0 )
(= (goal-size p0 ) 6)
(= (glaze-cost p0 ) 11)
(= (grind-cost p0 ) 18)
(= (plane-cost p0 ) 12)
(unused p1 )
(= (goal-size p1 ) 8)
(= (glaze-cost p1 ) 13)
(= (grind-cost p1 ) 24)
(= (plane-cost p1 ) 16)
(unused p2 )
(= (goal-size p2 ) 10)
(= (glaze-cost p2 ) 15)
(= (grind-cost p2 ) 30)
(= (plane-cost p2 ) 20)
(unused p3 )
(= (goal-size p3 ) 11)
(= (glaze-cost p3 ) 16)
(= (grind-cost p3 ) 33)
(= (plane-cost p3 ) 22)
(= (board-size b0 ) 8)
(wood b0 beech )
(surface-condition b0 rough )
(available b0 )
(= (board-size b1 ) 27)
(wood b1 pine )
(surface-condition b1 rough )
(available b1 )
(normal-mode )
(current-softgoal sg0 )
(next-softgoal sg0 sg1 )
(next-softgoal sg1 sg2 )
(next-softgoal sg2 sg3 )
(next-softgoal sg3 sg4 )
(= (wood-surface-condition-available-softgoal-reward p3 pine p3 smooth p3 ) 86.0)
(wood-surface-condition-available-softgoal-order p3 pine p3 smooth p3 sg0 )
(= (colour-wood-treatment-available-softgoal-reward p2 mauve p2 pine p2 varnished p2 ) 43.0)
(colour-wood-treatment-available-softgoal-order p2 mauve p2 pine p2 varnished p2 sg1 )
(= (colour-wood-surface-condition-available-softgoal-reward p1 natural p1 beech p1 verysmooth p1 ) 76.0)
(colour-wood-surface-condition-available-softgoal-order p1 natural p1 beech p1 verysmooth p1 sg2 )
(= (colour-surface-condition-treatment-available-softgoal-reward p0 mauve p0 smooth p0 varnished p0 ) 73.0)
(colour-surface-condition-treatment-available-softgoal-order p0 mauve p0 smooth p0 varnished p0 sg3 )
)
(:goal
( and
(wood-surface-condition-available-softgoal p3 pine p3 smooth p3 )
(colour-wood-treatment-available-softgoal p2 mauve p2 pine p2 varnished p2 )
(colour-wood-surface-condition-available-softgoal p1 natural p1 beech p1 verysmooth p1 )
(colour-surface-condition-treatment-available-softgoal p0 mauve p0 smooth p0 varnished p0 )
)
)
(:metric minimize
(total-cost)
)
)
