(define (problem wood-prob)
(:domain woodworking)
(:objects
grinder0 - grinder
glazer0 - glazer
immersion-varnisher0 - immersion-varnisher
planer0 - planer
highspeed-saw0 - highspeed-saw
spray-varnisher0 - spray-varnisher
saw0 - saw
blue - acolour
red - acolour
green - acolour
black - acolour
beech - awood
pine - awood
p0 - part
p1 - part
p2 - part
p3 - part
p4 - part
b0 - board
b1 - board
sg0 - softgoalorder
sg1 - softgoalorder
sg2 - softgoalorder
sg3 - softgoalorder
sg4 - softgoalorder
sg5 - softgoalorder
)
(:init
(grind-treatment-change varnished colourfragments )
(grind-treatment-change glazed untreated )
(grind-treatment-change untreated untreated )
(grind-treatment-change colourfragments untreated )
(is-smooth smooth )
(is-smooth verysmooth )
(= (total-cost ) 0)
(has-colour glazer0 natural )
(has-colour glazer0 green )
(has-colour glazer0 black )
(has-colour immersion-varnisher0 black )
(has-colour immersion-varnisher0 green )
(empty highspeed-saw0 )
(has-colour spray-varnisher0 black )
(has-colour spray-varnisher0 green )
(unused p0 )
(= (goal-size p0 ) 5)
(= (glaze-cost p0 ) 10)
(= (grind-cost p0 ) 15)
(= (plane-cost p0 ) 10)
(unused p1 )
(= (goal-size p1 ) 12)
(= (glaze-cost p1 ) 17)
(= (grind-cost p1 ) 36)
(= (plane-cost p1 ) 24)
(unused p2 )
(= (goal-size p2 ) 9)
(= (glaze-cost p2 ) 14)
(= (grind-cost p2 ) 27)
(= (plane-cost p2 ) 18)
(unused p3 )
(= (goal-size p3 ) 6)
(= (glaze-cost p3 ) 11)
(= (grind-cost p3 ) 18)
(= (plane-cost p3 ) 12)
(unused p4 )
(= (goal-size p4 ) 11)
(= (glaze-cost p4 ) 16)
(= (grind-cost p4 ) 33)
(= (plane-cost p4 ) 22)
(= (board-size b0 ) 11)
(wood b0 beech )
(surface-condition b0 smooth )
(available b0 )
(= (board-size b1 ) 32)
(wood b1 pine )
(surface-condition b1 smooth )
(available b1 )
(normal-mode )
(current-softgoal sg0 )
(next-softgoal sg0 sg1 )
(next-softgoal sg1 sg2 )
(next-softgoal sg2 sg3 )
(next-softgoal sg3 sg4 )
(next-softgoal sg4 sg5 )
(= (colour-wood-surface-condition-treatment-available-softgoal-reward p4 green p4 pine p4 verysmooth p4 varnished p4 ) 64.0)
(colour-wood-surface-condition-treatment-available-softgoal-order p4 green p4 pine p4 verysmooth p4 varnished p4 sg0 )
(= (colour-wood-surface-condition-treatment-available-softgoal-reward p3 green p3 beech p3 smooth p3 glazed p3 ) 67.0)
(colour-wood-surface-condition-treatment-available-softgoal-order p3 green p3 beech p3 smooth p3 glazed p3 sg1 )
(= (colour-wood-surface-condition-treatment-available-softgoal-reward p1 natural p1 pine p1 verysmooth p1 glazed p1 ) 116.0)
(colour-wood-surface-condition-treatment-available-softgoal-order p1 natural p1 pine p1 verysmooth p1 glazed p1 sg2 )
(= (colour-surface-condition-available-softgoal-reward p2 black p2 smooth p2 ) 92.0)
(colour-surface-condition-available-softgoal-order p2 black p2 smooth p2 sg3 )
(= (wood-treatment-available-softgoal-reward p0 beech p0 glazed p0 ) 40.0)
(wood-treatment-available-softgoal-order p0 beech p0 glazed p0 sg4 )
)
(:goal
( and
(colour-wood-surface-condition-treatment-available-softgoal p4 green p4 pine p4 verysmooth p4 varnished p4 )
(colour-wood-surface-condition-treatment-available-softgoal p3 green p3 beech p3 smooth p3 glazed p3 )
(colour-wood-surface-condition-treatment-available-softgoal p1 natural p1 pine p1 verysmooth p1 glazed p1 )
(colour-surface-condition-available-softgoal p2 black p2 smooth p2 )
(wood-treatment-available-softgoal p0 beech p0 glazed p0 )
)
)
(:metric minimize
(total-cost)
)
)
